<?php

namespace App\Tests\Unit\Controller;

use App\Controller\FrontendController;
use App\Repository\QuotesRepository;
use PHPUnit\Framework\TestCase;
use Symfony\Component\HttpFoundation\Response;

class FrontendControllerTest extends TestCase
{
    public function testQuoteAction()
    {

        /*
        // Set up the dependencies of the controller
        $quotesRepository = $this->createMock(originalClassName: QuotesRepository::class);

        // Set up the controller and invoke the quote action
        $controller = new FrontendController();
        $response = $controller->quote(quotesRepository: $quotesRepository);

        // Check the response of the action
        $this->assertInstanceOf(expected: Response::class, actual: $response);
        $this->assertStringContainsString(needle: '@default/base.html.twig', haystack: $response->getContent());
        */
        $this->assertTrue(condition: true);
    }
}
